Loading...
Searching...
No Matches
Exiv2::Internal::SamsungMnHeader Class Reference

Header of a Samsung Makernote, only used for the relative offset. More...

`#include <makernote_int.hpp>`

Inheritance diagram for Exiv2::Internal::SamsungMnHeader:
[legend]

## Public Member Functions

Creators
| SamsungMnHeader ()
| Default constructor.
Manipulators
bool | read (const byte *pData, size_t size, ByteOrder byteOrder) override
| Read the header from a data buffer, return true if ok.
Accessors
size_t | size () const override
| Return the size of the header (in bytes).
size_t | write (IoWrapper &ioWrapper, ByteOrder byteOrder) const override
| Write the header to a data buffer, return the number of bytes written.
size_t | baseOffset (size_t mnOffset) const override
| Return the base offset for the makernote IFD entries relative to the start of the TIFF header. mnOffset is the offset to the makernote from the start of the TIFF header.
Public Member Functions inherited from Exiv2::Internal::MnHeader
virtual | ~MnHeader ()=default
| Virtual destructor.
virtual void | setByteOrder (ByteOrder byteOrder)
| Set the byte order for the makernote.
virtual size_t | ifdOffset () const
| Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).
virtual ByteOrder | byteOrder () const
| Return the byte order for the makernote. If the return value is invalidByteOrder, this means that the byte order of the the image should be used for the makernote.

## Detailed Description

Header of a Samsung Makernote, only used for the relative offset.

## Member Function Documentation

## baseOffset()

size_t Exiv2::Internal::SamsungMnHeader::baseOffset | ( | size_t | mnOffset | ) | const

nodiscard override virtual

Return the base offset for the makernote IFD entries relative to the start of the TIFF header. mnOffset is the offset to the makernote from the start of the TIFF header.

Reimplemented from Exiv2::Internal::MnHeader.

## read()

bool Exiv2::Internal::SamsungMnHeader::read | ( | const byte * | pData,
|  | size_t | size,
|  | ByteOrder | byteOrder )

override virtual

Read the header from a data buffer, return true if ok.

Implements Exiv2::Internal::MnHeader.

Referenced by SamsungMnHeader().

## size()

size_t Exiv2::Internal::SamsungMnHeader::size | ( |  | ) | const

nodiscard override virtual

Return the size of the header (in bytes).

Implements Exiv2::Internal::MnHeader.

## write()

size_t Exiv2::Internal::SamsungMnHeader::write | ( | IoWrapper & | ioWrapper,
|  | ByteOrder | byteOrder ) const

override virtual

Write the header to a data buffer, return the number of bytes written.

Implements Exiv2::Internal::MnHeader.

The documentation for this class was generated from the following files:

- makernote_int.hpp
- makernote_int.cpp